<!-- resources/views/pages/user-management.blade.php -->
@extends('layouts.app')

@section('page_title', 'User Management')

@section('content')
    <div id="user-table">
        @include('components.table-component', [
            'pageTitle' => 'User Management',
            'data' => $users, // Use the data passed from the controller
            'columns' => [
                ['name' => 'Username', 'key' => 'username', 'sortable' => true],
                ['name' => 'First Name', 'key' => 'firstName', 'sortable' => true],
                ['name' => 'Last Name', 'key' => 'lastName', 'sortable' => true],
                ['name' => 'User Role', 'key' => 'role', 'sortable' => true],
                ['name' => 'Email', 'key' => 'email', 'sortable' => true],
                ['name' => 'Status', 'key' => 'status', 'sortable' => true]
            ],
            'actions' => ['edit', 'view', 'delete'],
            'showAddButton' => true,
            'addButtonUrl' => '/add-user',
            'showCheckboxes' => true,
            'showBatchDelete' => true,
            'showEditModal' => true,
            'showViewModal' => true
        ])
        <div id="no-data-message" style="display: {{ empty($users) ? 'block' : 'none' }}; text-align: center; margin-top: 20px;">
            <p>No Data Found</p>
        </div>
    </div>
@endsection